# InlineQueryResultLocation - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InlineQueries.InlineQueryResult / InlineQueryResultLocation

# InlineQueryResultLocation

(common) `data class InlineQueryResultLocation : InlineQueryResult, Locationed, Livable, TitledInlineQueryResult, WithInputMessageContentInlineQueryResult, ThumbedInlineQueryResult, ThumbSizedInlineQueryResult` (source)

### Constructors

(common)

#### <init>

`InlineQueryResultLocation(id: String, latitude: Double, longitude: Double, title: String, livePeriod: Int? = null, thumbUrl: String? = null, thumbWidth: Int? = null, thumbHeight: Int? = null, replyMarkup: InlineKeyboardMarkup? = null, inputMessageContent: InputMessageContent? = null)`

### Properties

(common)

#### id

`val id: String`

(common)

#### inputMessageContent

`val inputMessageContent: InputMessageContent?`

(common)

#### latitude

`val latitude: Double`

(common)

#### livePeriod

Period in SECONDS

`val livePeriod: Int?`

(common)

#### longitude

`val longitude: Double`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### thumbHeight

`val thumbHeight: Int?`

(common)

#### thumbUrl

`val thumbUrl: String?`

(common)

#### thumbWidth

`val thumbWidth: Int?`

(common)

#### title

`val title: String`

(common)

#### type

`val type: String`